interactions:
- request:
    body: !!binary |
[encoded data, 78186 characters]
      DQo=
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '53696'
      Content-Type:
      - multipart/form-data; boundary=3297bb8dd38f0c84fff60e0b63922664
      User-Agent:
      - tests/v311
    method: PATCH
    uri: http://localhost:3000/api/v1/accounts/update_credentials
  response:
    body:
      string: '{"id":"1234567890123456","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2022-11-07T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/123/456/789/012/345/original/2d5ad2a2a4ca9e32.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/123/456/789/012/345/original/2d5ad2a2a4ca9e32.jpg","header":"http://localhost:3000/system/accounts/headers/123/456/789/012/345/original/180bbed37e7a6da1.jpg","header_static":"http://localhost:3000/system/accounts/headers/123/456/789/012/345/original/180bbed37e7a6da1.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":null,"noindex":false,"source":{"privacy":"public","sensitive":false,"language":null,"note":"I
        walk funny","fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}],"follow_requests_count":0},"emojis":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}],"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - no-store
      Content-Security-Policy:
      - 'base-uri ''none''; default-src ''none''; frame-ancestors ''none''; font-src
        ''self'' http://localhost:3000; img-src ''self'' https: data: blob: http://localhost:3000;
        style-src ''self'' http://localhost:3000 ''nonce-wjUdcKW3UjXgJRcmq5c6Ew=='';
        media-src ''self'' https: data: http://localhost:3000; frame-src ''self''
        https:; manifest-src ''self'' http://localhost:3000; connect-src ''self''
        data: blob: http://localhost:3000 http://localhost:3000 ws://localhost:4000
        ws://localhost:3035 http://localhost:3035; script-src ''self'' ''unsafe-inline''
        ''unsafe-eval'' http://localhost:3000; child-src ''self'' blob: http://localhost:3000;
        worker-src ''self'' blob: http://localhost:3000'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"31ded81bc046cdd2b20260ada7c3d070"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 697c7044-0d85-4641-bf50-18202b681a3d
      X-Runtime:
      - '0.049818'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
version: 1
